#
# spec file for package mate-icon-theme-faenza
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _version 1.20
Name:           mate-icon-theme-faenza
Version:        1.20.0
Release:        lp150.1.1
Summary:        MATE Desktop Faenza compilation theme
License:        GPL-3.0-only
Group:          System/GUI/Other
Url:            https://mate-desktop.org/
Source:         http://pub.mate-desktop.org/releases/%{_version}/%{name}-%{version}.tar.xz
BuildRequires:  fdupes
BuildRequires:  hicolor-icon-theme
BuildRequires:  mate-common >= %{_version}
BuildArch:      noarch

%description
This icon theme uses Faenza and Faience icon themes by ~Tiheum and
some icons customised for MATE by Rowen Stipe. Also, there are some
icons from Mint-X-F and Faenza-Fresh icon packs.

%package dark
Summary:        MATE Desktop faenza compilation theme, dark variant
Group:          System/GUI/Other
Requires:       %{name} = %{version}

%description dark
This icon theme uses Faenza and Faience icon themes by ~Tiheum and
some icons customised for MATE by Rowen Stipe. Also, there are some
icons from Mint-X-F and Faenza-Fresh icon packs.

%package gray
Summary:        MATE Desktop faenza compilation theme, grey variant
Group:          System/GUI/Other
Requires:       %{name} = %{version}

%description gray
This icon theme uses Faenza and Faience icon themes by ~Tiheum and
some icons customised for MATE by Rowen Stipe. Also, there are some
icons from Mint-X-F and Faenza-Fresh icon packs.

%prep
%setup -q

%build
NOCONFIGURE=1 mate-autogen
%configure

%install
%make_install

%fdupes %{buildroot}%{_datadir}/icons/matefaenza/
%fdupes %{buildroot}%{_datadir}/icons/matefaenzadark/
%fdupes %{buildroot}%{_datadir}/icons/matefaenzagray/
%icon_theme_cache_create_ghost matefaenza
%icon_theme_cache_create_ghost matefaenzadark
%icon_theme_cache_create_ghost matefaenzagray

%if 0%{?suse_version} < 1500
%post
%icon_theme_cache_post matefaenza

%postun
%icon_theme_cache_postun matefaenza

%post dark
%icon_theme_cache_post matefaenzadark

%postun dark
%icon_theme_cache_postun matefaenzadark

%post gray
%icon_theme_cache_post matefaenzagray

%postun gray
%icon_theme_cache_postun matefaenzagray
%endif

%files
%if 0%{?suse_version} >= 1500
%license COPYING
%else
%doc COPYING
%endif
%doc NEWS README
%{_datadir}/icons/matefaenza/
%ghost %{_datadir}/icons/matefaenza/icon-theme.cache

%files dark
%{_datadir}/icons/matefaenzadark/
%ghost %{_datadir}/icons/matefaenzadark/icon-theme.cache

%files gray
%{_datadir}/icons/matefaenzagray/
%ghost %{_datadir}/icons/matefaenzagray/icon-theme.cache

%changelog
* Fri Mar  9 2018 sor.alexei@meowr.ru
- Update to version 1.20.0:
  * A fix to use the MATE logo for the dark theme.
  * Change the licence to GPLv3 to align with the Faenza project.
- Update the package licence to GPL-3.0-only.
* Sun May  7 2017 sor.alexei@meowr.ru
- Update to version 1.18.1:
  * Add missing symlinks for matefaenzagrey.
* Tue Mar 14 2017 sor.alexei@meowr.ru
- Update to version 1.18.0:
  * No changelog available.
* Tue Sep 20 2016 sor.alexei@meowr.ru
- Update to version 1.16.0:
  * Add a link to the spotify icon.
* Sat Apr  9 2016 sor.alexei@meowr.ru
- Update to version 1.14.0.
- Use mate-autogen.
* Thu Jan 28 2016 sor.alexei@meowr.ru
- Update to version 1.13.0.
* Thu Nov  5 2015 sor.alexei@meowr.ru
- Update to 1.12.0.
* Fri Jun 12 2015 sor.alexei@meowr.ru
- Update to 1.10.0:
  * Create tarball without make dist to avoid symlink issue.
- Do not use matefaenza-install.
- Spec cleanup.
* Wed Mar  5 2014 p.drouand@gmail.com
- Update to version 1.8.0
  + no changes since version 1.7.90
* Thu Feb 20 2014 p.drouand@gmail.com
- Update to version 1.7.90 (unstable)
  + No changes since version 1.6.0
* Thu Sep 19 2013 p.drouand@gmail.com
- Use %%ghost instead of %%exclude for caches files
* Thu Apr  4 2013 johann.luce@wanadoo.fr
- Update to version 1.6.0
  + no changes since 1.5.1
  + since 1.5.0
    Fixed a folder and santa Mayan
    Fixed some nayn issues
    Fixed folders
    New EoM icon
    Fixed missing icon issues
    Resized mayancat
    Forgot a few things
    Fixed mimetype icon miss match
    Fixed some issues with gray and dark relating to 20px panels
    Added some iconsFixed some bugs hopefully
* Sun Dec  2 2012 nmo.marques@gmail.com
- Add matefaenza-install and use it to rebrand and install the
  icons instead of autotools at the expense of python BR and
  release mate-common / mate-doc-utils
* Mon Nov 19 2012 nmarques@mate-desktop.org
- Add xz to BuildRequires, fix build in 12.1
* Mon Nov 12 2012 nmarques@mate-desktop.org
- Initial package
